For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
      • POSTCreate Invitation
      • DELDelete Invitation
      • GETGet Invitation
      • GETList Invitations
      • GETList Roles
      • GETList Users
      • DELRemove User
      • PUTUpdate User Roles
Get Started
LogoLogo
API ReferenceUser Management

List Users

GET
https://api.coactive.ai/api/v1/auth-management/users
GET
/api/v1/auth-management/users
$curl https://api.coactive.ai/api/v1/auth-management/users \
> -H "Authorization: Bearer <token>"
1{
2 "users": [
3 {
4 "user_id": "auth0|123",
5 "name": "John Doe",
6 "created_at": "2024-01-01T00:00:00Z",
7 "email": "john@example.com",
8 "picture": "https://example.com/avatar.jpg",
9 "last_login": "2024-01-02T00:00:00Z",
10 "roles": [
11 {
12 "role_id": "admin"
13 }
14 ]
15 }
16 ],
17 "meta": {
18 "page": {
19 "current_page": 1,
20 "limit": 1,
21 "offset": 1
22 },
23 "links": {
24 "next": "/api/v1/auth-management/users?page=2&limit=10",
25 "first": "/api/v1/auth-management/users?page=1&limit=10",
26 "last": "/api/v1/auth-management/users?page=10&limit=10"
27 },
28 "sort": [
29 {
30 "direction": "asc",
31 "field": "created_at"
32 }
33 ]
34 }
35}
List users in the organization. This endpoint retrieves a paginated list of users in the organization. The response can be filtered by a search query and optionally include user roles.
Was this page helpful?
Previous

Remove User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

querystring or nullOptionalformat: "^[a-zA-Z0-9@._\-\s*?]+$"3-50 characters
Search query to match names and emails
user_idslist of strings or nullOptional
List of user IDs to filter by
offsetintegerOptional>=0Defaults to 0

Number of records to skip (for pagination)

limitintegerOptional1-100Defaults to 100
Number of users to return
include_rolesbooleanOptionalDefaults to false
Include user roles in the response

Response

A paginated list of users in the organization
userslist of objects
List of users with partial information
metaobject
Pagination metadata for the response

Errors

422
Unprocessable Entity Error